<!-- Variables à portée composant -->
<!-- UI mis à jours lors de changement -->
<script>
	import Messages from './messages.svelte'
	export let data;
	const calculerAge = (date) => {
		let [ DD, MM, YYYY] = date.split('/')
		let dateNaissance = new Date(YYYY, MM, DD )
    	var diff = Date.now() - dateNaissance.getTime();
    	return (diff / (1000 * 60 * 60 * 24 * 365)).toFixed(1);
	}

	let history_list_toggle  = false;
	let msg_toggle  = false;
	let vaccine_list_toggle  = true;

	const vaccineClick = () => {
		vaccine_list_toggle  = !vaccine_list_toggle 
		history_list_toggle = false
		msg_toggle = false;
	}

	const historyClick = () => {
		vaccine_list_toggle = false
		history_list_toggle = !history_list_toggle
		msg_toggle = false;
	}

	const msgClick = () => {
		vaccine_list_toggle = false
		history_list_toggle = false
		msg_toggle = ! msg_toggle;
	}

	const stylePicker = (date) => {
		let base =  "list-group-item list-group-item-"
		let age = calculerAge(date)
		base += (  age > 1 ? "danger" : ( age > 0.7 ? "warning" : "success") )
		return base
	}

</script>

<div> 
	<div>
		<button on:click={vaccineClick} class="btn btn-outline-success"> <b> Vaccins </b> </button>
		<button on:click={historyClick} class="btn btn-outline-dark"> <b> Historique </b> </button>
		<button on:click={msgClick} class="btn btn-outline-primary"> <b> Contact Rapide 💬 </b> </button>
		<ul class="list-group" id='vaccine-list'>
			{#if vaccine_list_toggle }
				{#each data.vaccins as vax}
					<li class={stylePicker(vax.date)}> {vax.date} - <b>{vax.nom}</b> </li>
				{/each}
			{/if}
			{#if history_list_toggle }
				{#each data.historique as hist}
					<li class="list-group-item list-group-item-secondary"> 
						{hist.date} - <b>{hist.motif}</b> <br>  N° Facture - {hist.facture} 
					</li>
				{/each}
			{/if}	
			{#if msg_toggle }
				<Messages data={data.messages}/>
			{/if}
		</ul>
	</div>
</div>

<style>
	
</style>


